Package org.eclipse.draw2d.graph

# Class CompoundDirectedGraph

java.lang.Object
org.eclipse.draw2d.graph.DirectedGraph
org.eclipse.draw2d.graph.CompoundDirectedGraph

public class CompoundDirectedGraph extends DirectedGraph
A `DirectedGraph` whose Nodes may be compound `Subgraph`s, which may contain other nodes. Any node in the graph may be parented by one subgraph. Since subgraphs are nodes, the source or target end of an `Edge` may be a subgraph. For additional restrictions, refer to the JavaDoc for the layout algorithm being used.

A CompoundDirectedGraph is passed to a graph layout, which will position all of the nodes, subgraphs, and edges in that graph. This class serves as the data structure for a layout algorithm.

Since:
  2.1.2

## Field Summary

Fields
Modifier and Type
Field
Description
`EdgeList`
`containment`
For internal use only.
`NodeList`
`subgraphs`
For internal use only.

### Fields inherited from class org.eclipse.draw2d.graph.DirectedGraph

`edges, nodes, ranks`

## Constructor Summary

Constructors
Constructor
Description
`CompoundDirectedGraph()`

## Method Summary

### Methods inherited from class org.eclipse.draw2d.graph.DirectedGraph

`getDefaultPadding, getDirection, getLayoutSize, getMargin, getNode, getPadding, removeEdge, removeNode, setDefaultPadding, setDirection, setMargin`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### subgraphs

public NodeList subgraphs
For internal use only.

### containment

public EdgeList containment
For internal use only.

## Constructor Details

### CompoundDirectedGraph

public CompoundDirectedGraph()